Bug 1624360 - perl-Redis-1.991-7.fc29 FTBFS: Failed test 'pipeline with embedded error'
Summary: perl-Redis-1.991-7.fc29 FTBFS: Failed test 'pipeline with embedded error'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Redis
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 10:41 UTC by Petr Pisar
Modified: 2019-05-14 01:06 UTC (History)
3 users (show)

Fixed In Version: perl-Redis-1.991-8.fc30 perl-Redis-1.991-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 01:06:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github PerlRedis perl-redis pull 13 0 None None None 2018-11-29 17:59:46 UTC

Description Petr Pisar 2018-08-31 10:41:46 UTC
perl-Redis-1.991-7.fc29 fails to build in F29 because a test files:

t/03-pubsub.t ............. ok
#   Failed test 'pipeline with embedded error'
#   at t/04-pipeline.t line 42.
# Compared $data->[1][1]
#    got : 'ERR unknown command `OOPS`, with args beginning with: '
# expect : 'ERR unknown command 'OOPS''
# Looks like you failed 1 test of 11.
t/04-pipeline.t ........... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/11 subtests 

A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/5187887>.

This is probably triggered by upgrading redis from 4.0.10 to 4.0.11.

Comment 1 Petr Pisar 2018-11-29 17:59:47 UTC
From redis changelog <https://raw.githubusercontent.com/antirez/redis/4.0/00-RELEASENOTES>:

Oran Agra in commit 9535c215:
 fix rare replication stream corruption with disk-based replication
 3 files changed, 19 insertions(+), 9 deletions(-)

Redis git tree <https://github.com/antirez/redis/commit/9535c215> confirms the error message has changed.

Perl Redis upstream committed <https://github.com/PerlRedis/perl-redis/commit/b811af28608320a362bf330dc1a60ef13bd0cae3> a fix <https://github.com/PerlRedis/perl-redis/pull/130>.

Comment 2 Fedora Update System 2018-11-30 08:40:00 UTC
perl-Redis-1.991-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-435d42848b

Comment 3 Fedora Update System 2018-12-01 02:42:26 UTC
perl-Redis-1.991-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-435d42848b

Comment 4 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 5 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 6 Petr Pisar 2019-04-12 08:29:10 UTC
Fedora 28 is also broken (perl-Redis-1.991-5.fc28).

Comment 7 Ben Cotton 2019-05-02 19:41:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora Update System 2019-05-03 08:36:43 UTC
perl-Redis-1.991-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-08799a600c

Comment 9 Fedora Update System 2019-05-04 01:12:08 UTC
perl-Redis-1.991-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-08799a600c

Comment 10 Fedora Update System 2019-05-14 01:06:02 UTC
perl-Redis-1.991-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.